// https://stackoverflow.com/questions/5915753/generate-a-plane-with-triangle-strips

#include <stdlib.h>

float *PlaneVertices = 0;
int *PlaneIndices = 0;

int PlaneGetVerticesCount(int width, int height) {
    return width * height * /*3*/ 2;
}

int PlaneGetIndicesCount(int width, int height) {
    return (width * height) + (width - 1) * (height - 2);
}

float *PlaneGetVertices(int width, int height) {
    int i = 0;
    int row, col;

    if (PlaneVertices) 
        return PlaneVertices;

    PlaneVertices = malloc(PlaneGetVerticesCount(width, height) * sizeof(float));

    for (row = 0; row < height; row++) {
        for (col = 0; col < width; col++) {
            PlaneVertices[i++] = (float)col;
            PlaneVertices[i++] = (float)row;
            //PlaneVertices[i++] = 0.0f;
        }
    }

    return PlaneVertices;
}

int *PlaneGetIndices(int width, int height) {
    int i = 0;
    int row, col;
    
    if (PlaneIndices) 
        return PlaneIndices;

    PlaneIndices = malloc(PlaneGetIndicesCount(width, height) * sizeof(int));
    for (row = 0; row < height - 1; row++) {
        if ((row & 1) == 0) {                            // even rows
            for (col = 0; col < width; col++) {
                PlaneIndices[i++] = col + row * width;
                PlaneIndices[i++] = col + (row + 1) * width;
            }
        } else {                                         // odd rows
            for (col = width - 1; col > 0; col--) {
                PlaneIndices[i++] = col + (row + 1) * width;
                PlaneIndices[i++] = col - 1 + + row * width;
            }
        }
    }
    if ((height & 1) && height > 2)
        PlaneIndices[i++] = (height - 1) * width;

    return PlaneIndices;
}

void PlaneFreeData() {
    if (PlaneVertices) {
        free(PlaneVertices);
        PlaneVertices = 0;
    }
    if (PlaneIndices) {
        free(PlaneIndices);
        PlaneIndices = 0;
    }
}
