#!/bin/sh

rm gpubench_output.csv

# Standard set of tests without Z-Buffer

./gpubench F640LOW/fillrate-test.cfg
./gpubench F640LOW/fillrate-blend-test.cfg
./gpubench F640LOW/trianglerate-test.cfg
./gpubench F640LOW/trianglerate-nostrip-test.cfg
./gpubench F640LOW/textured-trianglerate-nostrip-test.cfg
./gpubench F640LOW/textured-fillrate-test.cfg
./gpubench F640LOW/textured-fillrate-blend-test.cfg

# Standard set of tests with Z-Buffer

./gpubench F640LOW/fillrate-test-z.cfg
./gpubench F640LOW/fillrate-blend-test-z.cfg
./gpubench F640LOW/trianglerate-test-z.cfg
./gpubench F640LOW/trianglerate-nostrip-test-z.cfg
./gpubench F640LOW/textured-trianglerate-nostrip-test-z.cfg
./gpubench F640LOW/textured-fillrate-test-z.cfg
./gpubench F640LOW/textured-fillrate-blend-test-z.cfg

# Multi-texturing tests

./gpubench F640LOW/multi-textured-fillrate-test.cfg
./gpubench F640LOW/multi-textured-fillrate-test-multipass.cfg

# Textured fill rate with no vertex colors

./gpubench F640LOW/textured-fillrate-no-colortest.cfg

# Texture fill rate without blending

./gpubench F640LOW/textured-fillrate-nofilter-test.cfg
./gpubench F640LOW/textured-fillrate-blend-nofilter-test.cfg
./gpubench F640LOW/lowres-textured-fillrate-test.cfg
./gpubench F640LOW/lowres-textured-fillrate-nofilter-test.cfg

# One triangle per drawcall (driver overhead test)

./gpubench F640LOW/driver-overhead-test.cfg

# Additional Z-Buffer "game" tests

./gpubench F640LOW/lowres-textured-fillrate-test-z.cfg
./gpubench F640LOW/lowres-textured-fillrate-nofilter-test-z.cfg

mv gpubench_output.csv gpubench_output-f640low.csv

# GPUbench - copyright (c) 2018 Ladislav Zima, Jiri Zima
# http://swarm.cz/gpubench/
# swarm@swarm.cz
